#!/bin/sh

# get input from user
if [ -z "${1}" ]; then
    read  -p "Drag POV file here: " f && f="${f%"'"}" && f="${f#"'"}"
else
    f="$(realpath ${1})"
fi

# set render parameters
width=640
height=480
thresh=0.1

# start rendering
"$(dirname ${0})/povray" +I"${f}" +O"${f%.*}.tga" +FT +L"$(dirname ${0})/include" +L"$(dirname ${f})" +W${width} +H${height} +A${thresh} +V

# terminate
sleep 1d && exit
