/* CANOPIC JAR BODY
________________________________________*/


// control points of 2D bezier curve
// X
#declare X1 = 1/3
#declare X2 = 1/3
#declare X3 = 1/3
#declare X4 = 1
// Y
#declare Y1 = 0
#declare Y2 = .5
#declare Y3 = 1.5
#declare Y4 = 2

// bezier patch for quarter body
// h = 2, r min = 1/3, r max = 1
#declare Steps = 4
#declare Body_ = object {
    #include "lathe4.inc"
}

// body
// rotated by 45 deg to hide faint seams between patches
#declare Body = union {
    object {Body_ rotate y*0}
    object {Body_ rotate y*90}
    object {Body_ rotate y*180}
    object {Body_ rotate y*270}
    rotate y*45
}


/* CANOPIC JAR COLLAR
________________________________________*/


// collar
// h = 0.3 (c. h = 2), r min = 0.5, r max = 1
#declare Collar = cone {
    y*2, 1, y*2.3, .5
}
