// random height values
// -0.8 < y < 0.86, 0 <= x,z <= 3
// h = 1.66, l = 3
#declare Y01 =  .34
#declare Y02 = -.53
#declare Y03 =  .74
#declare Y04 =  .86

#declare Y05 = -.57
#declare Y06 = -.64
#declare Y07 = -.25
#declare Y08 =  .83

#declare Y09 = -.03
#declare Y10 =  .92
#declare Y11 =  .67
#declare Y12 = -.71

#declare Y13 =  .41
#declare Y14 =  .39
#declare Y15 = -.96
#declare Y16 = -.8

// bumpy bezier curve centered about the y axis
// h = 1, r = 1
#declare Steps = 4
#declare Sand = bicubic_patch {
    type 1
    flatness 0
    u_steps Steps
    v_steps Steps
    < 0,Y01,0>, < 1,Y02,0>, < 2,Y03,0>, < 3,Y04,0>,
    < 0,Y05,1>, < 1,Y06,1>, < 2,Y07,1>, < 3,Y08,1>,
    < 0,Y09,2>, < 1,Y10,2>, < 2,Y11,2>, < 3,Y12,2>,
    < 0,Y13,3>, < 1,Y14,3>, < 2,Y15,3>, < 3,Y16,3>
    translate -x*1.5 -z*1.5 + y*.8
    scale (x+z)/1.5 + y/1.66
}
